# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%if "%{?rhel}" == "6"
%bcond_without repolib
%else
%bcond_with repolib
%endif

%define section free
%define reltag .redhat_2
%define namedreltag -redhat-2
%global namedversion  %{version}%{?namedreltag}

%define shortname velocity

Name:           velocity-eap6
Version:        1.7
Release:        2.1%{?reltag}%{?dist}
Epoch:          0
Summary:        Java-based template engine
License:        ASL 2.0
Group:          Development/Java
URL:            http://velocity.apache.org/
%if 0
svn -q export http://svn.apache.org/repos/asf/velocity/engine/tags/1.7/ velocity-1.7/
tar cjf velocity-1.7.tar.bz2 velocity-1.7/
%endif
Source0:        velocity-1.7.tar.bz2
Patch0:         000-velocity-build_xml.patch
Patch1:         010-velocity-version.patch
Patch2:         020-velocity-pom.patch
Requires:       jpackage-utils
Requires:       commons-collections
Requires:       apache-commons-lang-eap6
BuildRequires:  jboss-parent
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  ant-junit
BuildRequires:  antlr
BuildRequires:  junit
BuildRequires:  hsqldb
BuildRequires:  classworlds
BuildRequires:  avalon-logkit
BuildRequires:  commons-collections
BuildRequires:  commons-lang >= 0:2.3
BuildRequires:  slf4j
BuildRequires:  jdom >= 0:1.0-1
BuildRequires:  log4j >= 0:1.1
BuildRequires:  jakarta-oro
BuildRequires:  jboss-servlet-api_3.0_spec
BuildRequires:  maven-ant-tasks
BuildRequires:  werken-xpath
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  buildnumber-maven-plugin 
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Velocity is a Java-based template engine. It permits anyone to use the
simple yet powerful template language to reference objects defined in
Java code.

When Velocity is used for web development, Web designers can work in
parallel with Java programmers to develop web sites according to the
Model-View-Controller (MVC) model, meaning that web page designers can
focus solely on creating a site that looks good, and programmers can
focus solely on writing top-notch code. Velocity separates Java code
from the web pages, making the web site more maintainable over the long
run and providing a viable alternative to Java Server Pages (JSPs) or
PHP.

Velocity's capabilities reach well beyond the realm of web sites; for
example, it can generate SQL and PostScript and XML (see Anakia for more
information on XML transformations) from templates. It can be used
either as a standalone utility for generating source code and reports,
or as an integrated component of other systems. Velocity also provides
template services for the Turbine web application framework.
Velocity+Turbine provides a template service that will allow web
applications to be developed according to a true MVC model.

%package -n %{shortname}
Summary:        Java-based template engine
Group:          Development/Java
Obsoletes:      velocity15 < 0:1.6
Provides:       velocity15 = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       commons-collections
Requires:       commons-lang

%description -n %{shortname}
Velocity is a Java-based template engine. It permits anyone to use the
simple yet powerful template language to reference objects defined in
Java code.

When Velocity is used for web development, Web designers can work in
parallel with Java programmers to develop web sites according to the
Model-View-Controller (MVC) model, meaning that web page designers can
focus solely on creating a site that looks good, and programmers can
focus solely on writing top-notch code. Velocity separates Java code
from the web pages, making the web site more maintainable over the long
run and providing a viable alternative to Java Server Pages (JSPs) or
PHP.

Velocity's capabilities reach well beyond the realm of web sites; for
example, it can generate SQL and PostScript and XML (see Anakia for more
information on XML transformations) from templates. It can be used
either as a standalone utility for generating source code and reports,
or as an integrated component of other systems. Velocity also provides
template services for the Turbine web application framework.
Velocity+Turbine provides a template service that will allow web
applications to be developed according to a true MVC model.

%package -n %{shortname}-manual
Summary:        Manual for %{shortname}
Group:          Development/Documentation

%description -n %{shortname}-manual
Documentation for %{shortname}.

%package -n %{shortname}-javadoc
Summary:        Javadoc for %{shortname}
Group:          Development/Documentation
Requires:       jpackage-utils

%description -n %{shortname}-javadoc
Javadoc for %{shortname}.

%package -n %{shortname}-demo
Summary:        Demo for %{shortname}
Group:          Development/Java
Requires:       %{shortname} = %{epoch}:%{version}-%{release}

%description -n %{shortname}-demo
Demonstrations and samples for %{shortname}.

%if %with repolib
%package -n %{shortname}-repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Java

%description -n %{shortname}-repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n %{shortname}-%{version}
# Remove all binary libs used in compiling the package.
# Note that velocity has some jar files containing macros under
# examples and test that should not be removed.
for j in $(find . -name "*.jar" | grep -v /test/); do
    rm $j
done

%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav0
%patch2 -p1 -b .sav1

mkdir -p bin/test-lib
pushd bin/test-lib
ln -s $(build-classpath hsqldb)
ln -s $(build-classpath junit)
popd
mkdir -p bin/lib
pushd bin/lib
ln -s $(build-classpath antlr) antlr-2.7.5.jar
ln -s $(build-classpath avalon-logkit) avalon-logkit-2.1.jar
ln -s $(build-classpath commons-collections) commons-collections-3.2.1.jar
ln -s $(build-classpath commons-lang) commons-lang-2.4.jar
ln -s $(build-classpath commons-logging) commons-logging-1.1.jar
ln -s $(build-classpath jdom) jdom-1.0.jar
ln -s $(build-classpath log4j) log4j-1.2.12.jar
ln -s $(build-classpath maven-ant-tasks) maven-ant-tasks-2.0.9.jar
ln -s $(build-classpath oro) oro-2.0.8.jar
ln -s $(build-classpath jboss-servlet-api_3.0_spec) servlet-api-2.3.jar
ln -s $(build-classpath werken-xpath) werken-xpath-0.9.4.jar
popd

perl -pi -e 's/\r$//g' LICENSE

%build
# FIXME: this should ue maven
export CLASSPATH=$(build-classpath antlr commons-collections commons-lang commons-logging jdom werken-xpath)
CLASSPATH=$CLASSPATH:$(pwd)/test/texen-classpath/test.jar
export OPT_JAR_LIST=`cat %{_sysconfdir}/ant.d/junit`
%{ant} -buildfile build/build.xml package-zip

# repolib
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export URL=file://`pwd`/maven2-brew
#export MAVEN_OPTS="-Xms1g -Xmx1g"
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=pom.xml -Dfile=bin/velocity-%{version}.jar -DrepositoryId=jboss-releases-repository -Durl=${URL}
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=pom.xml -Dfile=bin/velocity-%{version}-javadoc.jar -Dclassifier=javadoc -DrepositoryId=jboss-releases-repository -Durl=${URL}
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=pom.xml -Dfile=bin/velocity-%{version}-sources.jar -Dclassifier=sources -DrepositoryId=jboss-releases-repository -Durl=${URL}
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=pom.xml -Dfile=bin/velocity-%{version}-dep.jar -Dclassifier=dep -DrepositoryId=jboss-releases-repository -Durl=${URL}

pushd maven2-brew
baddirs=`%{_bindir}/find -type d \( -name "[0-9]*" -and -not -name %{namedversion} \)`
for baddir in ${baddirs}; do
    badver=`/bin/basename ${baddir} | %{__sed} "s/\./\\\./g;"`
    %{__mv} ${baddir}/* `/bin/echo ${baddir} | %{__sed} "s/${badver}/%{namedversion}/g;"`/ && %{__rm} -r ${baddir}/
done
popd

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p bin/velocity-%{version}.jar %{buildroot}%{_javadir}/%{shortname}-%{namedversion}.jar
cp -p bin/velocity-%{version}-dep.jar %{buildroot}%{_javadir}/%{shortname}-%{namedversion}-dep.jar
cp -p bin/velocity-%{version}-javadoc.jar %{buildroot}%{_javadir}/%{shortname}-%{namedversion}-javadoc.jar
cp -p bin/velocity-%{version}-sources.jar %{buildroot}%{_javadir}/%{shortname}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

# Alternative JAR location
cp -p bin/velocity-%{version}.jar %{buildroot}%{_javadir}/%{name}/%{shortname}-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

# pom
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{shortname}.pom
%add_to_maven_depmap org.apache.velocity velocity %{namedversion} JPP %{shortname}
%add_to_maven_depmap velocity velocity %{namedversion} JPP %{shortname}
%add_to_maven_depmap velocity velocity-dep %{namedversion} JPP %{shortname}-dep

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion}
cp -pr bin/apidocs/* %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion}
ln -s %{shortname}-%{namedversion} %{buildroot}%{_javadocdir}/%{shortname}

# data
mkdir -p %{buildroot}%{_datadir}/%{shortname}
#cp -pr convert examples test %{buildroot}%{_datadir}/%{shortname}

# manual
mkdir -p %{buildroot}%{_docdir}/%{shortname}-%{namedversion}
cp -pr bin/docs/* %{buildroot}%{_docdir}/%{shortname}-%{namedversion}

# repolib
%if %with repolib
mkdir -p %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
cp -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
mv %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/apache/velocity/velocity/1.5/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/apache/velocity/velocity/%{namedversion}/ || :
rm -rf %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/apache/velocity/velocity/1.5
%endif

%clean
rm -rf %{buildroot}

%post -n %{shortname}
%update_maven_depmap

%postun -n %{shortname}
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%exclude %dir %{_javadocdir}
%{_javadir}*/%{name}/%{shortname}-%{namedversion}.jar
%{_javadir}*/%{name}/%{shortname}.jar

%files -n %{shortname}
%defattr(0644,root,root,0755)
%doc CONTRIBUTORS LICENSE NOTICE README.txt WHY_TWO_JARS.txt
%{_javadir}*/%{shortname}-%{namedversion}.jar
%{_javadir}*/%{shortname}.jar
%{_javadir}*/%{shortname}-%{namedversion}-dep.jar
%{_javadir}*/%{shortname}-dep.jar
%{_javadir}*/%{shortname}-%{namedversion}-sources.jar
%{_javadir}*/%{shortname}-sources.jar
%{_mavenpomdir}/JPP-%{shortname}.pom
%{_mavendepmapfragdir}/%{name}

%files -n %{shortname}-manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{shortname}-%{namedversion}

%files -n %{shortname}-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{shortname}-%{namedversion}
%{_javadocdir}/%{shortname}
%{_javadir}*/%{shortname}-%{namedversion}-javadoc.jar
%{_javadir}*/%{shortname}-javadoc.jar

%files -n %{shortname}-demo
%defattr(0644,root,root,0755)
%{_datadir}/%{shortname}

%if %with repolib
%files -n %{shortname}-repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Thu Apr 04 2013 Permaine Cheung <pcheung@redhat.com> - 0:1.7-2.1redhat_2
- Use apache-commons-lang-eap6 for the commons-lang dependency

* Wed Mar 27 2013 Tom Hauser <thauser@redhat.com> 0:1.7-2.redhat_2
- Adding patch to modify Implementation-Version in the produced jar

* Fri Mar 08 2013 David Walluck <dwalluck@redhat.com> 0:1.7-2
- fix Requires

* Mon Feb 25 2013 Tom Hauser <thauser@redhat.com> - 0:1.7-1.redhat_1.2
- Rebuild due to deploy bug, round 2

* Mon Feb 25 2013 Tom Hauser <thauser@redhat.com> - 0:1.7-1.redhat_1.1
- Rebuild due to deploy bug 

* Mon Feb 25 2013 Tom Hauser <thauser@redhat.com> - 0:1.7-1.redhat_1
- Upgrade to 1.7 
- Remove references to convert, because it is no longer produced by the build

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-7.redhat_2.4
- Rebuild due to deploy bug

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-7.redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-7.redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-7.redhat_1.1
- Rebuild using cache signing

* Tue Jul 03 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-7
- provide velocity15

* Tue Jul 03 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-6
- fix bad file ownership
- use real sources from SVN (fixes mising files)
- add missing dep, javadoc, and sources artifacts
- remove online link commands from build.xml
- Obsoletes: velocity15
- add some docs
- fix all symlinks in %%prep
- BuildRequires: maven-ant-tasks
- fix Release tag

* Fri Apr 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-5.redhat_1
- Remove run-time dependencies from main package (Provided)
- Fix release tag

* Thu Apr 05 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.6.3-4_redhat_1.3
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-4_redhat_1.2.1
- Rebuild using cache signing

* Mon Feb 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-4.2
- DO not require avalon-logkit at run-time, not use with AS7

* Mon Feb 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-4.1
- Remove run-time dependency on jakarta-oro and werken-xpath, not in AS7

* Thu Feb 09 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-4
- workaround maven deploy bug

* Tue Feb 07 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-3
- replace commons-logging with jcl-over-slf4j
- use pristine pom and apply patch
- remove GAV that was only in repolib and not RPM
- fix bad javadoc post/postin
- fix maven deploy
- fix manual copy
- fix repolib file ownership

* Thu Feb 02 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-2_redhat_1.1
- Use Servlet 3.0

* Wed Dec 07 2011 Lin Gao <lgao@redhat.com> - 0:1.6.3-2_redhat_1
- werewolf phrase build

* Tue Dec 07 2010 Hui Wang <huwang@redhat.com> - 0:1.6.3-1
- Fix source0 and source1 which are no longer available on that locations
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.3-0.1.1.1
- rebuilt

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.3-0.1.1
- rebuilt

* Wed May 05 2010 David Walluck <dwalluck@redhat.com> 0:1.6.3-0.1
- 1.6.3

* Tue Apr 13 2010 Weinan Li <weli@redhat.com> 1.6.2-4
- Replace excalibur-avalon-logkit with avalon-logkit

* Tue Apr 06 2010 Hui Wang <huwang@redhat.com> 1.6.2-3
- Rebuild

* Wed Nov 18 2009 Yong Yang <yyang@redhat.com> 1.6.2-2
- Add repolib

* Wed Oct 21 2009 David Walluck <dwalluck@redhat.com> 1.6.2-1
- 1.6.2

* Mon Dec 08 2008 David Walluck <dwalluck@redhat.com> 1.6-1
- 1.6

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.5-4
- Auto rebuild for JPackage 5 in mock

* Fri Feb 08 2008 Ralph Apel <r.apel at r-apel.de> 0:1.5-3jpp
- BR java-devel = 1.5.0, Require java >= 1.5.0
- Revert to standard pom
- Put Anakia/Texen dependencies in CLASSPATH

* Fri Nov 16 2007 Ralph Apel <r.apel at r-apel.de> 0:1.5-2jpp
- Modify pom

* Mon Aug 27 2007 Ralph Apel <r.apel at r-apel.de> 0:1.5-1jpp
- Upgrade to 1.5
- Make Vendor, Distribution based on macro

* Tue Aug 08 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.4-6jpp
- Add Requires(x) for javadoc subpackage.

* Sat Jul 22 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.4-5jpp
- Add conditional native compilation with GCJ.
- Apply patch (Gary Benson - Mon Jun 6 2005 - 0:1.4-3jpp_0fc) for 
  removing explicit dependency on servletapi3.
- Replace dependency on servletapi3 with servletapi5.
- Add NOTICE file as per Apache License version 2.0 
  (Gary Benson - Mon Jun 6 2005 - 0:1.4-3jpp_0fc).

* Thu Mar 30 2006 Ralph Apel <r.apel at r-apel.de> 0:1.4-4jpp
- Replace avalon-logkit with current excalibur-avalon-logkit

* Thu Sep 23 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-3jpp
- Adapt to jdom-1.0-1 replacing org.jdom.input.DefaultJDOMFactory
  by org.jdom.DefaultJDOMFactory in AnakiaJDOMFactory.java
  as well as using org.jdom.output.Format in AnakiaTask.java
- Therefore require jdom >= 0:1.0-1

* Thu Sep 02 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-2jpp
- Build with ant-1.6.2

* Mon Jun 07 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.4-1jpp
- 1.4 final
- Patch #0 is unnecessary (upstream)
- We have to build velocity against servletapi3

-* Wed Feb 18 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.4-0.rc1.2jpp
- Fix a few jpackage related .spec typos, oops.

* Wed Feb 18 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.4-0.rc1.1jpp
- Added Patch #0 (velocity-1.4-rc1-ServletTest.patch) from CVS which fixes
  build problems.

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-2jpp
- Add Epochs to dependencies.
- Add explicit defattrs.
- Add non-versioned javadoc symlinks.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Use full URL in Source.
- Fix -javadoc Group tag.
- Drop patch in favour of ant options.
- BuildRequire jpackage-utils and antlr (latter needed for Anakia tests).

* Sat May 24 2003 Richard Bullington-McGuire <rbulling@pkrinternet.com> 1.3.1-1jpp
- 1.3.1 stable release

* Fri May 23 2003 Richard Bullington-McGuire <rbulling@pkrinternet.com> 1.3-1jpp
- 1.3 stable release
- Updated for JPackage 1.5
- Run JUnit regression tests as part of the build process
- Added patch file to fix test case classpath for JUnit standard locations

* Mon May 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-0.rc1.1jpp 
- 1.3.0rc1
- dropped patch
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package

* Wed Dec 12 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-1jpp
- 1.2
- regenerated patch and corrected manifest
- requires and buildrequires jdom >= 1.0-0.b7.1

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-4jpp
- javadoc into javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-3jpp
- removed packager tag
- new jpp extension

* Thu Nov 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-2jpp
- first unified release
- s/jPackage/JPackage

* Fri Sep 14 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-1jpp
- first Mandrake release
